#
# spec file for package ritchie-cli
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ritchie-cli
Version:        2.11.3
Release:        2.16
Summary:        Ritchie - One CLI to rule them all
License:        Apache-2.0
Group:          Productivity/Publishing/Other
URL:            https://ritchiecli.io/
Source0:        https://github.com/cabelo/ritchie-cli/archive/refs/tags/%{version}.tar.gz
BuildRequires:  golang(API) >= 1.14

%description
Ritchie is an open source framework that creates and tweaks a CLI for your team. It allows you to easily create, build and share formulas. This package contains the CLI core, which can execute formulas stored inside other repositories such as ritchie-formulas.

%prep
%setup -q

%build
go build -buildmode=pie -o dist/linux/rit -v cmd/main.go

%install
install -D -m 0755 ./dist/linux/rit %{buildroot}%{_bindir}/rit

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/rit

%changelog
* Mon Nov 15 2021 Andreas Schwab <schwab@suse.de>
- Unpack tarball only once
* Sat Nov  6 2021 Alessandro de Oliveira Faria <cabelo@opensuse.org>
- Fix bug with formula's outputs #934
* Tue May 25 2021 Alessandro de Oliveira Faria <cabelo@opensuse.org>
- Update to version 2.11.2:
  * Update metrics extraction for input flagscommands.x
* Wed Oct 21 2020 cabelo@opensuse.org
- Update to version 2.4.0:
  * Update all formulas repositories at once (#594)
  * [Feature] Add support for flag --default (#627)
  * Add default field visualization to survey inputs (#565)
  * Fix/issue_templates (#669) (kaduartur)
  * fix lint (#662) (victorschumacherzup)
  * Release 2.3.0 merge (#661) (zup-ci)
  * add default flag (#635) (victorschumacherzup)
  * Added update All for repo (#602) (Harirai)
  * fix: fix lint (#672) (lucasdittrichzup)
  * feat: add default text input to formula (#654) (lucasdittrichzup)
* Wed Oct 21 2020 cabelo@opensuse.org
- Update to version 2.2.0:
  * Feature/dynamic list (#605)
  * Add env docker_execution (#599)
  * List workspace command (#485)
  * Update feature_request.md (#620)
  * Update ritchie-bot-config.yml (#619)
  * Adding developer guide (#604)
  * Fix timer os metric build formula watch (#601)
  * Added strings.ToLower function to containerId string (#610)
  * Fix significant typos and grammar in CONTRIBUTING.md (#603)
  * Update README file (#593)
* Wed Oct 21 2020 cabelo@opensuse.org
- Update to version 2.0.6:
  * add metrics acceptance question info (#537)
  * Upgrade metric api (#539)
  * [fix] remove the ritchie path from the metricId (#540)
  * Preparing for the Hacktoberfest (#538)
  * Delete workspace command (#481)
  * Add shell build strategy to build formulas (#533)
  * Add support to the tutorial field in config.json (#534)
  * add repo info to metrics (#532)
  * Fixing conditional bug (#527)
  * Displays error when invalid argument added to command (#530)
* Wed Oct 21 2020 cabelo@opensuse.org
- Update to version 2.0.6:
  * add metrics acceptance question info (#537)
  * Upgrade metric api (#539)
  * [fix] remove the ritchie path from the metricId (#540)
  * Preparing for the Hacktoberfest (#538)
  * Delete workspace command (#481)
  * Add shell build strategy to build formulas (#533)
  * Add support to the tutorial field in config.json (#534)
  * add repo info to metrics (#532)
  * Fixing conditional bug (#527)
  * Displays error when invalid argument added to command (#530)
* Wed Sep 30 2020 cabelo@opensuse.org
- Update to version 2.0.6:
  * add metrics acceptance question info (#537)
  * Upgrade metric api (#539)
  * [fix] remove the ritchie path from the metricId (#540)
  * Preparing for the Hacktoberfest (#538)
  * Delete workspace command (#481)
  * Add shell build strategy to build formulas (#533)
  * Add support to the tutorial field in config.json (#534)
  * add repo info to metrics (#532)
  * Fixing conditional bug (#527)
  * Displays error when invalid argument added to command (#530)
* Tue Sep  1 2020 Alessandro de Oliveira Faria <cabelo@opensuse.org>
- version 2.0.4 released:
* Tue Sep  1 2020 Alessandro de Oliveira Faria <cabelo@opensuse.org>
- Building with "-buildmode=pie" parameter
* Wed Aug 26 2020 Alessandro de Oliveira Faria <cabelo@opensuse.org>
- Initial package
